package test_entitlements_ui;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;


/**
 * Defines the application's one and only perspective so that includes an
 * "Entitlements" view and an "Error Log" view.
 */
public class Perspective implements IPerspectiveFactory {

	public void createInitialLayout(IPageLayout layout) {
		String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		layout.setFixed(false);
		
		layout.addView (EntitlementsView.ID, IPageLayout.LEFT, 1.0f, editorArea);
		layout.addView ("org.eclipse.pde.runtime.LogView", IPageLayout.BOTTOM, 0.775f, EntitlementsView.ID);
	}
}
